## poetry 1.1.12%2Bdfsg

=== debian/changelog ===
poetry (1.1.12+dfsg-1ubuntu1) jammy-proposed; urgency=medium

  * add runtime dependency on python3-cachecontrol. LP: #1958227
  * update Maintainer to Ubuntu mailing list

 -- Rolf Leggewie <foss@leggewie.org>  Wed, 11 Jan 2023 10:44:59 +0100

poetry (1.1.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: change regex to remove alpha, beta and release candidate
    from matched versions.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/patches: Remove patch that add the setup.py. Now poetry is builded using
    pep517.
    - Update the name of the other patches.
  * d/control: Build with pybuild's pyproject plugin. Add
    pybuild-plugin-pyproject as Build Depends.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 27 Dec 2021 17:51:58 -0300

poetry (1.1.11+dfsg-3) unstable; urgency=medium

  * debian/patches/PR3544.patch
    - add upstream PR 3544, fixes a failure running test on python 3.10

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Dec 2021 01:24:46 -0500

poetry (1.1.11+dfsg-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 23:54:12 -0500

poetry (1.1.11+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #947261)

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 31 Mar 2020 21:29:12 -0300

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export PYBUILD_NAME=poetry

# use especific python versions (3.6, 3.7) so ignore them
export PYBUILD_TEST_ARGS=--ignore=tests/console/commands/env/test_list.py \
			--ignore=tests/console/commands/env/test_remove.py \
			--ignore=tests/console/commands/env/test_use.py \
			--ignore=tests/utils/test_env.py \
			-k 'not test_self_update_should_install_all_necessary_elements \
			and not test_add_file_constraint_sdist \
			and not test_add_file_constraint_sdist_old_installer \
			and not test_publish_dry_run \
			and not test_info_from_sdist \
			and not test_installer_can_install_dependencies_from_forced_source \
			and not test_search_for_file_sdist \
			and not test_search_for_file_sdist_with_extras \
			and not test_solver_can_resolve_sdist_dependencies \
			and not test_solver_can_resolve_sdist_dependencies_with_extras \
			and not test_solver_chooses_from_correct_repository_if_forced \
			and not test_solver_chooses_from_correct_repository_if_forced_and_transitive_dependency \
			and not test_solver_does_not_choose_from_secondary_repository_by_default \
			and not test_solver_chooses_from_secondary_if_explicit \
			and not test_get_package_information_fallback_read_setup \
			and not test_get_package_information_skips_dependencies_with_invalid_constraints \
			and not test_get_package_retrieves_packages_with_no_hashes \
			and not test_fallback_can_read_setup_to_get_dependencies \
			and not test_exporter_can_export_requirements_txt_with_file_packages \
			and not test_exporter_can_export_requirements_txt_with_file_packages_and_markers \
			and not test_lock_no_update \
			and not test_locker_dumps_dependency_information_correctly \
			'

export http_proxy=
export https_proxy=

# DESTDIR export variable is used hereunder in execute_after_dh_auto_install
export DESTDIR=$(CURDIR)/debian/python3-poetry
PYVERS := $(shell py3versions -sv)


%:
	dh $@ --with python3 --buildsystem=pybuild


execute_after_dh_install:
	set -e ; for pyver in $(PYVERS); do \
		rm -rf $(DESTDIR)/usr/lib/python$$pyver/dist-packages/foo/ ;\
	done

## poetry 1.1.12+dfsg

=== Makefile ===
# This file is part of Poetry
# https://github.com/python-poetry/poetry

# Licensed under the MIT license:
# http://www.opensource.org/licenses/MIT-license
# Copyright (c) 2018 Sébastien Eustace

POETRY_RELEASE := $$(sed -n -E "s/__version__ = '(.+)'/\1/p" poetry/__version__.py)

# lists all available targets
list:
	@sh -c "$(MAKE) -p no_targets__ | \
		awk -F':' '/^[a-zA-Z0-9][^\$$#\/\\t=]*:([^=]|$$)/ {\
			split(\$$1,A,/ /);for(i in A)print A[i]\
		}' | grep -v '__\$$' | grep -v 'make\[1\]' | grep -v 'Makefile' | sort"
# required for list
no_targets__:

clean:
	@rm -rf build dist .eggs *.egg-info
	@rm -rf .benchmarks .coverage coverage.xml htmlcov report.xml .tox
	@find . -type d -name '.mypy_cache' -exec rm -rf {} +
	@find . -type d -name '__pycache__' -exec rm -rf {} +
	@find . -type d -name '*pytest_cache*' -exec rm -rf {} +
	@find . -type f -name "*.py[co]" -exec rm -rf {} +

format: clean
	@poetry run black poetry/ tests/

# install all dependencies
setup: setup-python

# test your application (tests in the tests/ directory)
test:
	@poetry run pytest --cov=poetry --cov-config .coveragerc tests/ -sq

release: build linux_release osx_release

build:
	@poetry build
	@python sonnet make release

publish:
	@poetry publish

wheel:
	@poetry build -v

linux_release:
	docker pull quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5
	docker run --rm -i -v `pwd`:/io \
		-e PYTHON=/opt/python/cp38-cp38/bin/python \
		-e PYTHON27=/opt/python/cp27-cp27m/bin/python \
		-e PYTHON35=/opt/python/cp35-cp35m/bin/python \
		-e PYTHON36=/opt/python/cp36-cp36m/bin/python \
		-e PYTHON37=/opt/python/cp37-cp37m/bin/python \
		-e PYTHON38=/opt/python/cp38-cp38/bin/python \
		-e PYTHON39=/opt/python/cp39-cp39/bin/python \
		quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5 sh -c "cd /io && ./make-nix-release.sh"

# run tests against all supported python versions
tox:
	@tox

=== debian/changelog ===
poetry (1.1.12+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 May 2022 12:00:51 -0700

=== debian/control ===
Source: poetry
Section: python
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (= 13),
               git (>= 1:2.30.0),
               pybuild-plugin-pyproject,
               python3-all,
               python3-cachecontrol (>= 0.12.6),
               python3-cachy (>= 0.3.0),
               python3-cleo (>= 0.8.1),
               python3-clikit (>= 0.6.2),
               python3-crashtest (>= 0.3.1),
               python3-html5lib (>= 0.3.1),
               python3-httpretty (>= 1.0.5),
               python3-jsonschema (>= 3.2.0),
               python3-keyring (>= 22.0.1),
               python3-lockfile (>= 1:0.12.2),
               python3-pexpect (>= 4.8.0),
               python3-pkginfo (>= 1.7.0),
               python3-poetry-core (>= 1.0.7),
               python3-pyparsing (>= 2.4.7),
               python3-pyrsistent (>= 0.15.5),
               python3-pytest (>= 6.0.2),
               python3-pytest-mock (>= 1.10.4),
               python3-requests (>= 2.25.1),
               python3-requests-toolbelt (>= 0.9.1),
               python3-setuptools (>= 52.0.0),
               python3-shellingham (>= 1.3.2),
               python3-virtualenv (>= 20.4.0)
Standards-Version: 4.6.0.1
Homepage: https://python-poetry.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
Vcs-Git: https://salsa.debian.org/python-team/packages/poetry.git
Testsuite: autopkgtest-pkg-python

Package: python3-poetry
Architecture: all
Depends: python3-lockfile (>= 1:0.12.2), ${misc:Depends}, ${python3:Depends}
Description: Python dependency management and packaging made easy (Python 3)
 Poetry helps you declare, manage and install dependencies of Python
 projects, ensuring you have the right stack everywhere.
 .
 This package installs the library for Python 3.

## poetry 1.1.14+dfsg

=== Makefile ===
--- 
+++ 
@@ -48,15 +48,22 @@
 
 linux_release:
 	docker pull quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5
+	docker pull quay.io/pypa/manylinux2010_x86_64:2022-02-05-4cb577c
 	docker run --rm -i -v `pwd`:/io \
+		-e VENDOR_ONLY=1 \
 		-e PYTHON=/opt/python/cp38-cp38/bin/python \
 		-e PYTHON27=/opt/python/cp27-cp27m/bin/python \
 		-e PYTHON35=/opt/python/cp35-cp35m/bin/python \
+		quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5 sh -c "cd /io && ./make-nix-release.sh"
+	docker run --rm -i -v `pwd`:/io \
+		-e VENDOR_REUSE=1 \
+		-e PYTHON=/opt/python/cp38-cp38/bin/python \
 		-e PYTHON36=/opt/python/cp36-cp36m/bin/python \
 		-e PYTHON37=/opt/python/cp37-cp37m/bin/python \
 		-e PYTHON38=/opt/python/cp38-cp38/bin/python \
 		-e PYTHON39=/opt/python/cp39-cp39/bin/python \
-		quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5 sh -c "cd /io && ./make-nix-release.sh"
+		-e PYTHON310=/opt/python/cp310-cp310/bin/python \
+		quay.io/pypa/manylinux2010_x86_64:2022-02-05-4cb577c sh -c "cd /io && ./make-nix-release.sh"
 
 # run tests against all supported python versions
 tox:

=== debian/changelog ===
poetry (1.1.14+dfsg-1ubuntu1) kinetic; urgency=medium

  * add runtime dependency on python3-cachecontrol. LP: #1958227
  * update Maintainer to Ubuntu mailing list

 -- Rolf Leggewie <foss@leggewie.org>  Wed, 11 Jan 2023 18:09:40 +0100

poetry (1.1.14+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/PR3544.patch: Remove patch, already applied by the upstream.
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0.1). No changes
    needed.
  * d/copyright: Update Copyright year for debian/* files.
  * d/rules: Remove .gitignore file from poetry/_vendor.
  * d/rules: Remove execution permissions to upstream files in poetry folder:
    factory.py, mixology/partial_solution.py, mixology/term.py,
    mixology/version_solver.py, puzzle/provider.py,
    repositories/legacy_repository.py, repositories/pool.py,
    repositories/pypi_repository.py, repositories/repository.py.
  * d/control: Remove python3-setuptools from build Depends.
  * d/control: Add <!nochek> profile in Build Depends to the packages that
    are used in tests.
  * d/tests: Add autopkgtests.
  * d/control: Remove trivial autopkgtest-pkg-python.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 21 Aug 2022 14:40:13 -0400

=== debian/control ===
Source: poetry
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               git (>= 1:2.33.0),
               pybuild-plugin-pyproject,
               python3-all,
               python3-cachecontrol (>= 0.12.6),
               python3-cachy (>= 0.3.0),
               python3-cleo (>= 0.8.1),
               python3-clikit (>= 0.6.2),
               python3-crashtest (>= 0.3.1),
               python3-html5lib (>= 0.3.1),
               python3-httpretty (>= 1.0.5) <!nocheck>,
               python3-jsonschema (>= 3.2.0),
               python3-keyring (>= 22.0.1),
               python3-lockfile (>= 1:0.12.2),
               python3-pexpect (>= 4.8.0),
               python3-pkginfo (>= 1.7.0),
               python3-poetry-core (>= 1.0.7),
               python3-pyparsing (>= 2.4.7) <!nocheck>,
               python3-pyrsistent (>= 0.15.5) <!nocheck>,
               python3-pytest (>= 6.0.2) <!nocheck>,
               python3-pytest-mock (>= 1.10.4) <!nocheck>,
               python3-requests (>= 2.25.1),
               python3-requests-toolbelt (>= 0.9.1),
               python3-shellingham (>= 1.3.2),
               python3-virtualenv (>= 20.4.0),
Standards-Version: 4.6.1
Homepage: https://python-poetry.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
Vcs-Git: https://salsa.debian.org/python-team/packages/poetry.git

Package: python3-poetry
Architecture: all
Depends: python3-lockfile (>= 1:0.12.2),
         python3-cachecontrol,
         ${misc:Depends},
         ${python3:Depends},
Description: Python dependency management and packaging made easy (Python 3)
 Poetry helps you declare, manage and install dependencies of Python
 projects, ensuring you have the right stack everywhere.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,14 @@
 execute_after_dh_install:
 	set -e ; for pyver in $(PYVERS); do \
 		rm -rf $(DESTDIR)/usr/lib/python$$pyver/dist-packages/foo/ ;\
+		rm $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/_vendor/.gitignore ;\
+	        chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/factory.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/partial_solution.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/term.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/version_solver.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/puzzle/provider.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/legacy_repository.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pool.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pypi_repository.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/repository.py ;\
 	done

=== debian/tests/control ===
Tests: pytest
Depends: git,
         python3-all,
         python3-cachecontrol,
         python3-httpretty,
         python3-jsonschema,
         python3-keyring,
         python3-pyparsing,
         python3-pyrsistent,
         python3-pytest,
         python3-pytest-mock,
         @,
Restrictions: allow-stderr, needs-root

## poetry 1.3.2+dfsg

=== tests/utils/fixtures/setups/ansible/requirements.txt ===
# Note: this requirements.txt file is used to specify what dependencies are
# needed to make the package run rather than for deployment of a tested set of
# packages.  Thus, this should be the loosest set possible (only required
# packages, not optional ones, and with the widest range of versions that could
# be suitable)
jinja2
PyYAML
paramiko
cryptography
setuptools

=== debian/changelog ===
poetry (1.3.2+dfsg-3) unstable; urgency=medium

  * d/control: Remove python3-pylev as a B-Depends. This is a B-Depends of
    python3-cleo.
    - d/tests/control: Remove python3-pylev as dependency of the autopkgtest.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 17 Jan 2023 18:59:26 -0300

poetry (1.3.2+dfsg-2) unstable; urgency=medium

  * d/control: Add python3-pylev as a Build Depends (Closes: #1028913).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 14 Jan 2023 20:42:56 -0300

poetry (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/tests/control: Add python3-cachy to autopkgtest dependency.
    - Ignore tests/utils/test_helpers.py test file as in d/rules.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 12 Jan 2023 07:20:09 -0300

poetry (1.3.1+dfsg-2) unstable; urgency=medium

  * d/rules: Ignore some tests that use internet (Closes: #1028240).
    - Add the ignored tests to autopkgtest.
  * d/tests/control: Add python3-pylev as dependency.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 09 Jan 2023 22:38:41 -0300

poetry (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Ignore more tests that need more work after Debian freeze.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1). No changes
    needed.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 07 Jan 2023 23:41:25 -0300

poetry (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1023612, #1025025).
  * d/control: Add new packages as Build Depends: python3-deepdiff,
    python3-dulwich, python3-pip, python3-pytest-xdist, python3-venv,
    python3.11-venv.
  * d/rules: Skip tests, they need more work before active them:
    test_package_partial_yank, test_run_installs_with_same_version_url_files,
    test_env_info_displays_complete_info, test_skip_existing_output,
    test_installer_should_use_the_locked_version_of_git_dependencies_with_extras,
    test_installer_should_use_the_locked_version_of_git_dependencies_without_reference,
    test_installer_uses_prereleases_if_they_are_compatible,
    test_requirement_git_subdirectory and test_config.py.
  * d/patches: Remove all patches they are not longer needed.
  * d/patches/0001-Accept-Python-version-string-with-a-at-the-end.patch: Add patch
    to make poetry accept Python version string with a + at the end.
  * d/tests/: Update autopkgtests to work with new upstream release.
    - d/tests/control: Add python3-pytest-xdist, python3-venv, python3.11-venv
    as dependencies.
    - d/tests/pytest: Update the ignore tests. They are the same as in
    d/rules.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 17 Nov 2022 10:32:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: poetry
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
 Build-Depends: debhelper-compat (= 13),
                git (>= 1:2.33.0),
@@ -13,23 +12,29 @@
                python3-cleo (>= 0.8.1),
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
+               python3-deepdiff <!nocheck>,
+               python3-dulwich,
                python3-html5lib (>= 0.3.1),
                python3-httpretty (>= 1.0.5) <!nocheck>,
                python3-jsonschema (>= 3.2.0),
                python3-keyring (>= 22.0.1),
                python3-lockfile (>= 1:0.12.2),
                python3-pexpect (>= 4.8.0),
+               python3-pip,
                python3-pkginfo (>= 1.7.0),
                python3-poetry-core (>= 1.0.7),
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
                python3-pytest-mock (>= 1.10.4) <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-requests (>= 2.25.1),
                python3-requests-toolbelt (>= 0.9.1),
                python3-shellingham (>= 1.3.2),
+               python3-venv,
                python3-virtualenv (>= 20.4.0),
-Standards-Version: 4.6.1
+               python3.11-venv,
+Standards-Version: 4.6.2
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
@@ -38,7 +43,6 @@
 Package: python3-poetry
 Architecture: all
 Depends: python3-lockfile (>= 1:0.12.2),
-         python3-cachecontrol,
          ${misc:Depends},
          ${python3:Depends},
 Description: Python dependency management and packaging made easy (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 			--ignore=tests/console/commands/env/test_remove.py \
 			--ignore=tests/console/commands/env/test_use.py \
 			--ignore=tests/utils/test_env.py \
+			--ignore=tests/config/test_config.py \
+			--ignore=tests/utils/test_helpers.py \
 			-k 'not test_self_update_should_install_all_necessary_elements \
 			and not test_add_file_constraint_sdist \
 			and not test_add_file_constraint_sdist_old_installer \
@@ -30,7 +32,23 @@
 			and not test_exporter_can_export_requirements_txt_with_file_packages_and_markers \
 			and not test_lock_no_update \
 			and not test_locker_dumps_dependency_information_correctly \
-			'
+			and not test_package_partial_yank \
+			and not test_run_installs_with_same_version_url_files \
+			and not test_env_info_displays_complete_info \
+			and not test_skip_existing_output \
+			and not test_installer_should_use_the_locked_version_of_git_dependencies_with_extras \
+			and not test_installer_should_use_the_locked_version_of_git_dependencies_without_reference \
+			and not test_installer_uses_prereleases_if_they_are_compatible \
+			and not test_requirement_git_subdirectory \
+			and not test_check_valid \
+			and not test_check_invalid \
+			and not test_packages_property_returns_empty_list \
+			and not test_parse_dependency_specification \
+			and not test_info_setup_missing_mandatory_should_trigger_pep517 \
+			and not test_uninstall_git_package_nspkg_pth_cleanup \
+			and not test_executor_should_write_pep610_url_references_for_directories \
+			and not test_executor_should_write_pep610_url_references_for_git \
+			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories'
 
 export http_proxy=
 export https_proxy=

=== debian/tests/control ===
Tests: pytest
Depends: git,
         python3-all,
         python3-cachecontrol,
         python3-cachy,
         python3-deepdiff,
         python3-httpretty,
         python3-jsonschema,
         python3-keyring,
         python3-pyparsing,
         python3-pyrsistent,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-venv,
         python3.11-venv,
         @,
Restrictions: allow-stderr, needs-root

## poetry 1.6.1+dfsg

=== debian/changelog ===
poetry (1.6.1+dfsg-2) unstable; urgency=medium

  * d/rules: Skip the next tests that use internet (Closes: #1050688):
   - test_installer_with_pypi_repository
   - test_prepare_directory_editable
   - test_prepare_directory
   - test_prepare_directory_with_extensions

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 12 Sep 2023 22:01:38 -0300

poetry (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: override dh_auto_test to avoid remove egg-info folder. Some
    poetry tests use egg-info folders created for tests purpose as fixtures
    (Closes: #1050688).
  * d/rules: Ignore
    test_solver_ignores_explicit_repo_for_transient_dependencies and
    test_chooser_md5_remote_fallback_to_sha256_inline_calculation tests
    because they use ignored tar.gz files.
    - d/tests/pytest: Ignore these tests in autopkgtest.
  * d/patches: Update
    0001-Accept-Python-version-string-with-a-at-the-end.patch patch according
    to new upstream release code.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 07 Sep 2023 11:49:59 -0300

poetry (1.5.1+dfsg-4) unstable; urgency=medium

  * d/control: Pin python3-poetry-core B-Depends to >= 1.6.1 (Closes:
    #1050362)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 23 Aug 2023 21:35:55 -0300

poetry (1.5.1+dfsg-3) unstable; urgency=medium

  * d/tests/control: Add gcc package as Depends. It is needed for tests
    and is not installed in the autopkgtests machine.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 09 Aug 2023 09:26:38 -0300

poetry (1.5.1+dfsg-2) unstable; urgency=medium

  * d/tests/pytest: Ignore tests for autopkgtest:
    - test_executor_should_write_pep610_url_references_for_non_wheel_urls
    - test_executor_should_write_pep610_url_references_for_non_wheel_files
    - test_prepare_sdist
    - test_shell.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 08 Aug 2023 09:37:10 -0300

poetry (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0002-Loosen-platformdirs-dependency.patch: Remove patch, is not
    longer needed. The platformdirs was bumped to 3.
  * d/patches/0001-Accept-Python-version-string-with-a-at-the-end.patch: Update
    patch according to new upstream version.
  * d/patches/skip-test-with-prefer-active-python-key.patch: Add new patch to
    skip tests that use the experimental key prefer-active-python in
    pyproject.toml.
  * d/control: Add python3-trove-classifiers as a Build Dependency.
    - Also add python3-trove-classifiers as Dependency in d/tests/control file.
  * d/rules: Ignore the next test the need more work before active them:
    - test_executor_should_write_pep610_url_references_for_git_with_subdirectories
    - test_executor_should_write_pep610_url_references_for_non_wheel_urls
    - test_executor_should_write_pep610_url_references_for_non_wheel_files
    - test_prepare_sdist
    - test_shell. This tests fails because an issue in shellingham Debian package
      (no bug reported yet). When it is fixed this test will be activated
      again.
  * d/rules: Remove execute_after_dh_install target.
    - The foo folder and .gitignore file is not installed anymore by the upstream.
    - The Python fles: factory.py, mixology/partial_solution.py,
      mixology/term.py, mixology/version_solver.py, puzzle/provider.py,
      repositories/legacy_repository.py, repositories/pool.py,
      repositories/pypi_repository.py and repositories/repository.py are not
      created with execution permission anymore.
  * d/control: Add python3-tomlkit as Build-Depends.
    - d/tests/control: Add python3-tomlkit as Dependency.
  * d/control: Add python3-all-dev as Build-Depends. Also add it to
    d/tests/control file.
  * d/control: Update my contact information in Uploaders field.
    - d/copyright: Update my contact information in debian/* files copyright.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 07 Aug 2023 12:26:08 -0300

poetry (1.3.2+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Exclude a test that requires network access.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Jun 2023 16:10:40 -0400

poetry (1.3.2+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Patch: Loosen platformdirs dependency.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Mar 2023 21:48:29 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                git (>= 1:2.33.0),
                pybuild-plugin-pyproject,
                python3-all,
+               python3-all-dev,
                python3-cachecontrol (>= 0.12.6),
                python3-cachy (>= 0.3.0),
                python3-cleo (>= 0.8.1),
@@ -22,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 1.0.7),
+               python3-poetry-core (>= 1.6.1),
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
@@ -31,6 +32,8 @@
                python3-requests (>= 2.25.1),
                python3-requests-toolbelt (>= 0.9.1),
                python3-shellingham (>= 1.3.2),
+               python3-tomlkit,
+               python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
                python3.11-venv,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 			-k 'not test_self_update_should_install_all_necessary_elements \
 			and not test_add_file_constraint_sdist \
 			and not test_add_file_constraint_sdist_old_installer \
+			and not test_builder_setup_generation_runs_with_pip_editable \
 			and not test_publish_dry_run \
 			and not test_info_from_sdist \
 			and not test_installer_can_install_dependencies_from_forced_source \
@@ -48,7 +49,20 @@
 			and not test_uninstall_git_package_nspkg_pth_cleanup \
 			and not test_executor_should_write_pep610_url_references_for_directories \
 			and not test_executor_should_write_pep610_url_references_for_git \
-			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories'
+			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories \
+			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories \
+			and not test_executor_should_write_pep610_url_references_for_non_wheel_urls \
+			and not test_executor_should_write_pep610_url_references_for_non_wheel_files \
+			and not test_prepare_sdist \
+			and not test_shell \
+			and not test_chooser_md5_remote_fallback_to_sha256_inline_calculation \
+			and not test_solver_ignores_explicit_repo_for_transient_dependencies \
+			and not test_installer_with_pypi_repository \
+			and not test_prepare_directory_editable \
+			and not test_prepare_directory \
+			and not test_prepare_directory_with_extensions'
+
+
 
 export http_proxy=
 export https_proxy=
@@ -61,18 +75,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-
-execute_after_dh_install:
-	set -e ; for pyver in $(PYVERS); do \
-		rm -rf $(DESTDIR)/usr/lib/python$$pyver/dist-packages/foo/ ;\
-		rm $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/_vendor/.gitignore ;\
-	        chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/factory.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/partial_solution.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/term.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/version_solver.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/puzzle/provider.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/legacy_repository.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pool.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pypi_repository.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/repository.py ;\
-	done
+override_dh_auto_clean:
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## poetry 1.8.2+dfsg

=== debian/changelog ===
poetry (1.8.2+dfsg-1ubuntu2) noble; urgency=medium

  * Remove build dependency on python3.11-venv.
  * Remove autopkg test dependency on python3.11-venv.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 14:17:25 +0100

poetry (1.8.2+dfsg-1) unstable; urgency=medium

  * d/control: Pin python3-poetry-core to 1.9.0.
  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 03 Mar 2024 21:27:53 -0300

poetry (1.8.0.dev0~git20240220.cff4d7d5+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * d/patch: Remove platformdirs-4.patch patch, it was already applied by
    upstream.
  * d/rules: Ignore tests: test_fallback_on_detect_active_python,
    test_get_venv_with_venv_folder_present, test_not_fresh_lock,
    test_list, test_info_setup_complex_calls_script,
    test_executor_known_hashes and test_publish_dist_dir_option. They need
    more work.
    - Also ignore them in d/tests/pytest.
  * d/tests/simple-commands-run: Add new autopkgtest test to run `poetry
    add` and `poetry update`. This to detect some errors in those simple
    commands (Closes: #1058670).
  * d/tests/control: Add a superficial tests to run `poetry -v` (Closes:
    #1029480).
  * d/control: Add python3-poetry-plugin-export as Build Depends (Closes:
    #1059356).
    - d/rules: Activate test_export_prints_warning and
    test_disable_export_warning tests that need poetry-plugin-export.
    - Also activate those tests in d/tests/pytest.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 22 Feb 2024 18:12:00 -0300

poetry (1.7.1+dfsg-1) unstable; urgency=medium

  [Stefano Rivera]
  * Patch: Loosen platformdirs dependency.
  * Recommend python3-trove-classifiers for check (Closes: #1030310).

  [Emmanuel Arias]
  * New upstream release (Closes: #1056144).
  * d/rules: Deactvate tests that need more works:
    test_prepare_directory_with_extensions, test_export_prints_warning,
    test_disable_export_warning,
    test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess,
    test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess_encoding,
    test_isolated_env_install_success, test_isolated_env_install_error,
    test_isolated_env_install_failure, test_application_with_plugins,
    test_build_system_requires_not_available,
    test_build_system_requires_install_failure and
    test_prepare_directory_script.
    - Reply it in d/test/pytest file.
  * d/control: Pin python3-poetry-core to 1.8.1.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 10 Nov 2023 20:16:27 -0300

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 1.6.1),
+               python3-poetry-core (>= 1.9.0),
+               python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
@@ -36,7 +37,6 @@
                python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
-               python3.11-venv,
 Standards-Version: 4.6.2
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
@@ -48,6 +48,7 @@
 Depends: python3-lockfile (>= 1:0.12.2),
          ${misc:Depends},
          ${python3:Depends},
+Recommends: python3-trove-classifiers,
 Description: Python dependency management and packaging made easy (Python 3)
  Poetry helps you declare, manage and install dependencies of Python
  projects, ensuring you have the right stack everywhere.

=== debian/rules ===
--- 
+++ 
@@ -60,9 +60,23 @@
 			and not test_installer_with_pypi_repository \
 			and not test_prepare_directory_editable \
 			and not test_prepare_directory \
-			and not test_prepare_directory_with_extensions'
-
-
+			and not test_prepare_directory_with_extensions \
+			and not test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess \
+			and not test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess_encoding \
+			and not test_isolated_env_install_success \
+			and not test_isolated_env_install_error \
+			and not test_isolated_env_install_failure \
+			and not test_application_with_plugins \
+			and not test_build_system_requires_not_available \
+			and not test_build_system_requires_install_failure \
+			and not test_prepare_directory_script \
+			and not test_fallback_on_detect_active_python \
+			and not test_get_venv_with_venv_folder_present \
+			and not test_not_fresh_lock \
+			and not test_list \
+			and not test_info_setup_complex_calls_script \
+			and not test_publish_dist_dir_option \
+			and not test_executor_known_hashes'
 
 export http_proxy=
 export https_proxy=

## poetry 1.8.3+dfsg

=== debian/changelog ===
poetry (1.8.3+dfsg-3) unstable; urgency=medium

  * d/control: Remove python3.11-venv from Build Dependency.
    Also remove it from autopkgtest.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes needed).
  * d/rules: ignore test_execute_executes_a_batch_of_operations,
    test_execute_prints_warning_for_yanked_package
    and test_build_environment_called_build_script_specified tests because
    they use pip, need more investigation (Closes: #1074725).
    - Remove from d/tests/pytest file.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 13 Jul 2024 11:27:40 -0300

poetry (1.8.3+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Remove dependency on obsolete python3-lockfile (see #1073280)
    which itself build-depends on python3-nose.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Jun 2024 22:13:53 +0200

poetry (1.8.3+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-packaging as Build Depends (Closes: #1071071).
  * d/patches/0001-Accept-Python-version-string-with-a-at-the-end.patch:
    Remove patch, it is already fixed in upstream.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 17 May 2024 22:02:27 -0300

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-httpretty (>= 1.0.5) <!nocheck>,
                python3-jsonschema (>= 3.2.0),
                python3-keyring (>= 22.0.1),
-               python3-lockfile (>= 1:0.12.2),
+               python3-packaging,
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
@@ -37,7 +37,7 @@
                python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
@@ -45,8 +45,7 @@
 
 Package: python3-poetry
 Architecture: all
-Depends: python3-lockfile (>= 1:0.12.2),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Recommends: python3-trove-classifiers,
 Description: Python dependency management and packaging made easy (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,11 @@
 			and not test_list \
 			and not test_info_setup_complex_calls_script \
 			and not test_publish_dist_dir_option \
-			and not test_executor_known_hashes'
+			and not test_executor_known_hashes \
+			and not test_execute_executes_a_batch_of_operations \
+			and not test_execute_prints_warning_for_yanked_package \
+			and not test_build_environment_called_build_script_specified'
+
 
 export http_proxy=
 export https_proxy=
@@ -86,6 +90,7 @@
 PYVERS := $(shell py3versions -sv)
 
 
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## poetry 2.0.1+dfsg

=== debian/changelog ===
poetry (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1093350).
  * d/patches: Remove fix-encoding-warning-with-pep597-enabled.patch and
    skip-test-with-prefer-active-python-key.patch patches, they are not longer
    needed.
  * d/control: Update pin version for python3-poetry-core and python3-cleo.
  * d/patches/0001-Apply-workaround-to-fix-httpretty-with-urllib-2.3.patch: Add
    workaround to fix an issue with httpretty and urlib >= 2.3.
  * d/rules: Ignore tests because they use internet or required old Python
    version: test_build_environment_called_build_script_specified,
    test_solver_ignores_explicit_repo_for_transitive_dependencies,
    test_file_hashes_returns_none_for_blake2_with_fips,
    test_solver_does_not_choose_from_supplemental_repository_by_default,
    test_get_preferred_python_use_poetry_python_disabled,
    test_solver_chooses_from_supplemental_if_explicit,
    test_file_hashes_returns_none_for_md5_with_fips and
    test_file_hashes_returns_proper_hashes_for_file.
    - Also ignore them and test_env_system_packages_are_relative_to_lib in
      d/tests/pytest.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 21 Jan 2025 13:34:34 -0300

poetry (1.8.3+dfsg-4) unstable; urgency=medium

  * d/patches/fix-encoding-warning-with-pep597-enabled.patch: Add patch to fix
    enconding warning with PEP 597 enabled.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 20 Sep 2024 20:48:47 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-all-dev,
                python3-cachecontrol (>= 0.12.6),
                python3-cachy (>= 0.3.0),
-               python3-cleo (>= 0.8.1),
+               python3-cleo (>= 2.1.0),
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
                python3-deepdiff <!nocheck>,
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 1.9.0),
+               python3-poetry-core (>= 2.0.1),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,14 @@
 			and not test_executor_known_hashes \
 			and not test_execute_executes_a_batch_of_operations \
 			and not test_execute_prints_warning_for_yanked_package \
-			and not test_build_environment_called_build_script_specified'
+			and not test_build_environment_called_build_script_specified \
+			and not test_solver_ignores_explicit_repo_for_transitive_dependencies \
+			and not test_file_hashes_returns_none_for_blake2_with_fips \
+			and not test_solver_does_not_choose_from_supplemental_repository_by_default \
+	                and not test_get_preferred_python_use_poetry_python_disabled \
+	                and not test_solver_chooses_from_supplemental_if_explicit \
+			and not test_file_hashes_returns_none_for_md5_with_fips \
+			and not test_file_hashes_returns_proper_hashes_for_file'
 
 
 export http_proxy=

## poetry 2.1.1+dfsg

=== debian/changelog ===
poetry (2.1.1+dfsg-3) unstable; urgency=medium

  * d/patches/increase-sleep-time-in-threading-test.patch: Add patch to
    increase the sleep time in a test.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 19 Mar 2025 16:49:59 -0300

poetry (2.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/tests/pytest: Ignore test_find_downloadable_versions except on
    amd64/arm64/i386, since pbs_installer doesn't advertise any Python
    builds on other architectures.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 11:51:16 +0000

poetry (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-findpython and python3-pbs-installer as Build
    Dependencies.
    - Also pin python3-cleo (>= 2.2.1) and python3-poetry-core (>= 2.1.1).
  * d/patches/0001-Apply-workaround-to-fix-httpretty-with-urllib-2.3.patch:
    Update patch according to new upstream release.
  * d/patches/fix-env-manager.patch: Add patch to fix python command to
    python3.
  * d/rules: Ignore test_shutil_which_python_provider test, it fails while
    looks for python version.
    - d/tests/pytest: Also ignore it in autopkgtest.
  * d/patches/fix-tests.patch: Remove tests that fails for cleo
    find_similar_names gives different values.
    - Also fix test that use incorrect Python version.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 19 Feb 2025 20:04:49 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-all-dev,
                python3-cachecontrol (>= 0.12.6),
                python3-cachy (>= 0.3.0),
-               python3-cleo (>= 2.1.0),
+               python3-cleo (>= 2.2.1),
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
                python3-deepdiff <!nocheck>,
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 2.0.1),
+               python3-poetry-core (>= 2.1.1),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
@@ -37,6 +37,8 @@
                python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
+               python3-findpython,
+               python3-pbs-installer,
 Standards-Version: 4.7.0
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no

## poetry 2.1.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 2.1.1),
+               python3-poetry-core (>= 2.1.2),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
@@ -39,7 +39,7 @@
                python3-virtualenv (>= 20.4.0),
                python3-findpython,
                python3-pbs-installer,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry

## poetry 2.1.2+dfsg

=== debian/changelog ===
poetry (2.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Update pin version of poetry-core.
  * d/control: Bump Standards-Version to 4.7.2 (from 4.7.0; no further
    changes needed).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 03 Apr 2025 20:49:58 -0300

=== debian/watch ===
version=4
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/python-poetry/poetry/tags .*/v?(\d[\d\.]*)\.tar\.gz

## poetry 2.2.1+dfsg

=== debian/changelog ===
poetry (2.2.1+dfsg-2) unstable; urgency=medium

  * d/control: Add pinned version in python3-dulwich B-Depends
    (Closes: #1118338).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 23 Oct 2025 23:55:16 -0300

poetry (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1114265).
  * d/control: Update pin version of poetry-core.
  * d/patches: Update patches according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 05 Oct 2025 17:35:07 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
                python3-deepdiff <!nocheck>,
-               python3-dulwich,
+               python3-dulwich (>=0.24.0),
                python3-html5lib (>= 0.3.1),
                python3-httpretty (>= 1.0.5) <!nocheck>,
                python3-jsonschema (>= 3.2.0),
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 2.1.2),
+               python3-poetry-core (>= 2.2.1),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,8 @@
 	                and not test_get_preferred_python_use_poetry_python_disabled \
 	                and not test_solver_chooses_from_supplemental_if_explicit \
 			and not test_file_hashes_returns_none_for_md5_with_fips \
-			and not test_file_hashes_returns_proper_hashes_for_file'
+			and not test_file_hashes_returns_proper_hashes_for_file \
+			and not test_shutil_which_python_provider'
 
 
 export http_proxy=

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Tests: pytest
-Depends: git,
+Depends: gcc,
+         git,
          python3-all,
+         python3-all-dev,
          python3-cachecontrol,
          python3-cachy,
          python3-deepdiff,
@@ -12,7 +14,15 @@
          python3-pytest,
          python3-pytest-mock,
          python3-pytest-xdist,
+         python3-tomlkit,
+         python3-trove-classifiers,
          python3-venv,
-         python3.11-venv,
          @,
 Restrictions: allow-stderr, needs-root
+
+Tests: simple-commands-run
+Depends: @
+Restrictions: allow-stderr, needs-root, needs-internet
+
+Test-Command: poetry -v
+Restrictions: superficial
